From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-1505153-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (2048 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id 0097915ACB3
	for <garchives@archives.gentoo.org>; Fri,  7 Apr 2023 11:26:04 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id 3C0ABE0901;
	Fri,  7 Apr 2023 11:26:01 +0000 (UTC)
Received: from smtp.gentoo.org (mail.gentoo.org [IPv6:2001:470:ea4a:1:5054:ff:fec7:86e4])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits))
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id 280BBE0901
	for <gentoo-commits@lists.gentoo.org>; Fri,  7 Apr 2023 11:26:01 +0000 (UTC)
Received: from oystercatcher.gentoo.org (oystercatcher.gentoo.org [148.251.78.52])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits))
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id 65CD4340DFF
	for <gentoo-commits@lists.gentoo.org>; Fri,  7 Apr 2023 11:26:00 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id C71C9A34
	for <gentoo-commits@lists.gentoo.org>; Fri,  7 Apr 2023 11:25:56 +0000 (UTC)
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Sam James" <sam@gentoo.org>
Message-ID: <1680866698.dce7726dbbd954fc0206b7aaa5f2e1d38dc6e320.sam@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/activestorage/
X-VCS-Repository: repo/gentoo
X-VCS-Files: dev-ruby/activestorage/activestorage-7.0.4.3-r1.ebuild
X-VCS-Directories: dev-ruby/activestorage/
X-VCS-Committer: sam
X-VCS-Committer-Name: Sam James
X-VCS-Revision: dce7726dbbd954fc0206b7aaa5f2e1d38dc6e320
X-VCS-Branch: master
Date: Fri,  7 Apr 2023 11:25:56 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Auto-Response-Suppress: DR, RN, NRN, OOF, AutoReply
X-Archives-Salt: 8829bf36-2366-49ee-94cf-181b7f7712b3
X-Archives-Hash: 4fbcb1c146b73bc00c394cd279a6ced0

commit:     dce7726dbbd954fc0206b7aaa5f2e1d38dc6e320
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Apr  7 08:30:23 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Apr  7 11:24:58 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dce7726d

dev-ruby/activestorage: enable ruby32

Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../activestorage/activestorage-7.0.4.3-r1.ebuild  | 67 ++++++++++++++++++++++
 1 file changed, 67 insertions(+)

diff --git a/dev-ruby/activestorage/activestorage-7.0.4.3-r1.ebuild b/dev-ruby/activestorage/activestorage-7.0.4.3-r1.ebuild
new file mode 100644
index 000000000000..4e7b11fdc400
--- /dev/null
+++ b/dev-ruby/activestorage/activestorage-7.0.4.3-r1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_DOC=""
+RUBY_FAKEGEM_DOCDIR=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="activestorage.gemspec"
+
+RUBY_FAKEGEM_EXTRAINSTALL="app config db"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Attach cloud and local files in Rails applications"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+DEPEND+=" test? ( app-text/mupdf media-gfx/imagemagick[jpeg,png,tiff] media-video/ffmpeg app-text/poppler[utils] ) "
+
+ruby_add_rdepend "
+	~dev-ruby/actionpack-${PV}:*
+	~dev-ruby/activejob-${PV}:*
+	~dev-ruby/activerecord-${PV}:*
+	~dev-ruby/activesupport-${PV}:*
+	dev-ruby/marcel:1.0
+	>=dev-ruby/mini_mime-1.1.0
+"
+
+ruby_add_bdepend "
+	test? (
+		~dev-ruby/railties-${PV}
+		>=dev-ruby/image_processing-1.2:0
+		=dev-ruby/minitest-5.15*:*
+		dev-ruby/mini_magick
+		dev-ruby/mocha
+		dev-ruby/rake
+		dev-ruby/sprockets-rails
+		dev-ruby/sqlite3
+	)"
+
+all_ruby_prepare() {
+		# Remove items from the common Gemfile that we don't need for this
+		# test run. This also requires handling some gemspecs.
+		sed -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|bcrypt\|uglifier\|aws-sdk-s3\|aws-sdk-sns\|google-cloud-storage\|azure-storage\|blade\|bootsnap\|hiredis\|qunit-selenium\|chromedriver-helper\|redis\|rb-inotify\|stackprof\|websocket-client-simple\|libxml-ruby\|sass-rails\|capybara\|rack-cache\|selenium\|dalli\|listen\|connection_pool\|puma\|mysql2\|webdrivers\|webpacker\|rexml\|webmock\|propshaft\|sprockets-export\|rack-test\|terser\)/ s:^:#:" \
+			-e '/stimulus-rails/,/tailwindcss-rails/ s:^:#:' \
+			-e '/group :\(doc\|job\|rubocop\|test\)/,/^end/ s:^:#:' \
+			-i ../Gemfile || die
+		rm ../Gemfile.lock || die
+
+		# Use mini_magick since vips is not packaged on Gentoo
+		sed -i -e '/mini_magick/aActiveStorage.variant_processor = :mini_magick' test/test_helper.rb || die
+		# Avoid vips-specific tests
+		sed -i -e '/\(resized and monochrome variation of JPEG blob\|monochrome with default variant_processor\|disabled variation of JPEG blob\)/askip "No vips support"' test/models/variant_test.rb || die
+}